## capi4hylafax 01.03.00.99.svn.300

=== debian/changelog ===
capi4hylafax (1:01.03.00.99.svn.300-20build1) vivid; urgency=medium

  * No-change rebuild against libcapi20-3.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 28 Jan 2015 03:09:51 +0100

capi4hylafax (1:01.03.00.99.svn.300-20) unstable; urgency=low

  * QA upload.
  * Use dh_autotools-dev to update config.{sub,guess} for new ports (thanks,
    Adam Conrad; closes: #729644).

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 Jan 2014 15:31:27 +0000

capi4hylafax (1:01.03.00.99.svn.300-19) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Add patch to fix build-error with gcc-4.8. (Closes: #701251).
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 16 Jul 2013 13:04:36 -0400

capi4hylafax (1:01.03.00.99.svn.300-18) unstable; urgency=low

  * Only suggest package isdnactivecards. Closes: #682135, #691863.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sat, 03 Nov 2012 22:03:33 +0100

capi4hylafax (1:01.03.00.99.svn.300-17) unstable; urgency=medium

  * New maintainer (adopted).
  * Move to source formate 3.0 (quilt).
  * Generate explicit patches of old source changes.
  * Fix configure.in to work with newer automake/autoconf.
  * Optimize some fprintf params (thanks to M. Muehlhoff).
  * Fix datatype issue: use __WORDSIZE for checking 64 bit arch.
  * debian/control:
    - Bump to Standards-Version 3.9.3.
    - Move to build dependency debhelper (>= 8).
    - Move to build dependency libtiff-dev.
    - Remove old versions in dependencies.
    - Remove old conflicts field.
    - Add recommended targets build-arch and build-indep.
    - Enable hardenend build flags. Closes: #653539
    - Add Vcs fields to new git repository.

  * Update postrm, preinst, prerm scripts. Remove old version checks.
  * Add udev rules file for creating /dev/faxCAPI symlink.
  * Move default logfile to /var/log/hylafax directory.
  * Add logrotate configuration for logfile. Closes: #647164
  * Rename to filename capi4hylafax.init, move LSB INIT INFO to header
     and optimize dependencies in the header.
  * Fix small typo in manpage c2faxsend.1.
  * Update all automake/autoconf files (autoreconf).
  * Fix spelling errors in sources.
  * Add doc-base registration file with hints about documentation.
  * Rewrite copyright file (DEP-5 standard).
  * Add small manpage for faxsend script.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sun, 17 Jun 2012 16:36:13 +0200

capi4hylafax (1:01.03.00.99.svn.300-16) unstable; urgency=low

  * Adapt to hylafax 6.0 Debian package bind-mounting
    /var/spool/hylafax/etc (closes: #554631)
  * Implement parallel=n DEB_BUILD_OPTIONS

 -- Lionel Elie Mamane <lmamane@debian.org>  Wed, 02 Dec 2009 17:55:37 +0100

capi4hylafax (1:01.03.00.99.svn.300-15) unstable; urgency=low

  * Work around bug #554631 on upgrades

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu, 05 Nov 2009 22:41:20 +0100

capi4hylafax (1:01.03.00.99.svn.300-14) unstable; urgency=low

  * init script: report success on start when already running
    and on stop when not running (closes: #554631)

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu, 05 Nov 2009 22:16:33 +0100

capi4hylafax (1:01.03.00.99.svn.300-13) unstable; urgency=low

  * Bump up Standards-Version to 3.8.3
  * Move debhelper compat level to 7
  * Remove erroneous /etc/default/default file (Closes: #510610).
  * Update config.{guess,sub}

 -- Lionel Elie Mamane <lmamane@debian.org>  Fri, 16 Oct 2009 12:05:36 +0200

capi4hylafax (1:01.03.00.99.svn.300-12) unstable; urgency=low

  * Properly quote CXXFLAGS, allowing spaces in it (Closes: #476041).

 -- Lionel Elie Mamane <lmamane@debian.org>  Mon, 14 Apr 2008 13:48:52 +0200

capi4hylafax (1:01.03.00.99.svn.300-11) unstable; urgency=low

  * Suggest dialog. (closes: #470728)
  * Make the init.d script strictly /bin/sh-policy compliant.
    (closes: #471418)

 -- Lionel Elie Mamane <lmamane@debian.org>  Wed, 19 Mar 2008 10:42:18 +0100

capi4hylafax (1:01.03.00.99.svn.300-10) unstable; urgency=low

  * Apparently LSB init headers don't have the concept of default
    values. So really fill them in. Thanks to Petter Reinholdtsen for the
    prod. (closes: #466272)
  * And lintian thinks the headers are case-sensitive; it may be right, so
    put them in the canonical case.
  * Don't ignore errors on clean.
  * Flesh out copyright file a bit.

 -- Lionel Elie Mamane <lmamane@debian.org>  Sun, 17 Feb 2008 22:28:07 +0100

capi4hylafax (1:01.03.00.99.svn.300-9) unstable; urgency=low

  * Apply Armin Schindler's patch for Eicon Diva server compatibility (closes: #367363)
  * Bump up Standards-Version to 3.7.3

 -- Lionel Elie Mamane <lmamane@debian.org>  Mon, 17 Dec 2007 08:42:46 +0100

capi4hylafax (1:01.03.00.99.svn.300-7) unstable; urgency=low

  * capi4hylafaxconfig needs bash, so declare it so (closes: #417344)
  * convert example config to UTF-8 (closes: #420126)
  * count a communication with remote device as a phone call placed
    (closes: #420907)

 -- Lionel Elie Mamane <lmamane@debian.org>  Fri, 20 Jul 2007 14:27:33 +0200

capi4hylafax (1:01.03.00.99.svn.300-6) unstable; urgency=low

  * Overhaul init.d script:
    - Add LSB INIT INFO section
    - abort on error
    - add "status" command
    - say "cannot create directory" only after having tried

 -- Lionel Elie Mamane <lmamane@debian.org>  Sat, 07 Jul 2007 09:42:48 +0200

capi4hylafax (1:01.03.00.99.svn.300-5) unstable; urgency=low

  * README.Debian: explain that capi4hylafax needs hylafax to be in
    faxmodem mode, not faxgetty.

 -- Lionel Elie Mamane <lmamane@debian.org>  Sat, 10 Feb 2007 13:03:55 +0100

capi4hylafax (1:01.03.00.99.svn.300-4) unstable; urgency=low

  * Fix subtle brokeness in config file parsing on 64 bit architectures,
    which led to restriction to a MSN not working anymore.
    Report and fix courtesy of Stefan Briesenick of Gentoo.


